summaryrefslogtreecommitdiff
path: root/helpers/source
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/source
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/source')
-rwxr-xr-xhelpers/source54
1 files changed, 54 insertions, 0 deletions
diff --git a/helpers/source b/helpers/source
new file mode 100755
index 0000000..8d11c44
--- /dev/null
+++ b/helpers/source
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# lh_source(1) - build source images
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'build source images')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+Require_stagefile .stage/chroot_install-packages
+
+# Setup cleanup function
+Setup_cleanup
+
+# Enabling network in chroot
+lh chroot_hosts install ${*}
+lh chroot_resolv install ${*}
+lh chroot_hostname install ${*}
+lh chroot_sources install ${*}
+
+# Preparing images
+lh source_debian-live ${*}
+lh source_debian ${*}
+lh source_disk ${*}
+lh source_md5sum ${*}
+
+# Building images
+lh source_iso ${*}
+lh source_net ${*}
+lh source_tar ${*}
+lh source_usb-hdd ${*}
+lh source_virtual-hdd ${*}
+
+# Deconfiguring chroot
+rm -f .stage/chroot_sources
+lh chroot_hostname remove ${*}
+lh chroot_resolv remove ${*}
+lh chroot_hosts remove ${*}